diff -urbB punbb-1.1/upload/admin_index.php punbb-1.1.1/upload/admin_index.php
--- punbb-1.1/upload/admin_index.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/admin_index.php	2004-03-21 16:29:19.000000000 +0100
@@ -67,7 +67,7 @@
 
 
 // Get the server load averages (if possible)
-if (file_exists('/proc/loadavg'))
+if (@file_exists('/proc/loadavg'))
 {
 	// We use @ just in case
 	$fh = @fopen('/proc/loadavg', 'r');
diff -urbB punbb-1.1/upload/admin_maintenance.php punbb-1.1.1/upload/admin_maintenance.php
--- punbb-1.1/upload/admin_maintenance.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/admin_maintenance.php	2004-03-21 16:29:19.000000000 +0100
@@ -115,7 +115,7 @@
 else
 {
 	// Get the first post ID from the db
-	$result = $db->query('SELECT id FROM '.$db->prefix.'topics ORDER BY id LIMIT 1') or error('Unable to create category', __FILE__, __LINE__, $db->error());
+	$result = $db->query('SELECT id FROM '.$db->prefix.'topics ORDER BY id LIMIT 1') or error('Unable to fetch topic info', __FILE__, __LINE__, $db->error());
 	if ($db->num_rows($result))
 		$first_id = $db->result($result, 0);
 
diff -urbB punbb-1.1/upload/admin_users.php punbb-1.1.1/upload/admin_users.php
--- punbb-1.1/upload/admin_users.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/admin_users.php	2004-03-21 16:29:19.000000000 +0100
@@ -362,7 +362,7 @@
 					<tr>
 						<td class="punright" style="width: 35%">Username</td>
 						<td style="width: 35%"><input type="text" name="username" size="25" maxlength="25" tabindex="1"></td>
-						<td style="width: 30%" rowspan="16"><input type="submit" name="find_user" value=" Find " tabindex="21"></td>
+						<td style="width: 30%" rowspan="16"><input type="submit" name="find_user" value=" Find " tabindex="22"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">E-mail address</td>
@@ -385,59 +385,63 @@
 						<td style="width: 35%"><input type="text" name="form[icq]" size="12" maxlength="12" tabindex="6"></td>
 					</tr>
 					<tr>
+						<td class="punright" style="width: 35%">MSN Messenger</td>
+						<td style="width: 35%"><input type="text" name="form[msn]" size="30" maxlength="50" tabindex="7"></td>
+					</tr>
+					<tr>
 						<td class="punright" style="width: 35%">AOL IM</td>
-						<td style="width: 35%"><input type="text" name="form[aim]" size="20" maxlength="20" tabindex="7"></td>
+						<td style="width: 35%"><input type="text" name="form[aim]" size="20" maxlength="20" tabindex="8"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Yahoo! Messenger</td>
-						<td style="width: 35%"><input type="text" name="form[yahoo]" size="20" maxlength="20" tabindex="8"></td>
+						<td style="width: 35%"><input type="text" name="form[yahoo]" size="20" maxlength="20" tabindex="9"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Location</td>
-						<td style="width: 35%"><input type="text" name="form[location]" size="30" maxlength="30" tabindex="9"></td>
+						<td style="width: 35%"><input type="text" name="form[location]" size="30" maxlength="30" tabindex="10"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Signature</td>
-						<td style="width: 35%"><input type="text" name="form[signature]" size="35" maxlength="512" tabindex="10"></td>
+						<td style="width: 35%"><input type="text" name="form[signature]" size="35" maxlength="512" tabindex="11"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Admin note</td>
-						<td style="width: 35%"><input type="text" name="form[admin_note]" size="30" maxlength="30" tabindex="11"></td>
+						<td style="width: 35%"><input type="text" name="form[admin_note]" size="30" maxlength="30" tabindex="12"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Number of posts greater than</td>
-						<td style="width: 35%"><input type="text" name="posts_greater" size="5" maxlength="8" tabindex="12"></td>
+						<td style="width: 35%"><input type="text" name="posts_greater" size="5" maxlength="8" tabindex="13"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Number of posts less than</td>
-						<td style="width: 35%"><input type="text" name="posts_less" size="5" maxlength="8" tabindex="13"></td>
+						<td style="width: 35%"><input type="text" name="posts_less" size="5" maxlength="8" tabindex="14"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Last post is after<br>(yyyy-mm-dd hh:mm:ss)</td>
-						<td style="width: 35%"><input type="text" name="last_post_after" size="24" maxlength="19" tabindex="14"></td>
+						<td style="width: 35%"><input type="text" name="last_post_after" size="24" maxlength="19" tabindex="15"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Last post is before<br>(yyyy-mm-dd hh:mm:ss)</td>
-						<td style="width: 35%"><input type="text" name="last_post_before" size="24" maxlength="19" tabindex="15"></td>
+						<td style="width: 35%"><input type="text" name="last_post_before" size="24" maxlength="19" tabindex="16"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Registered after<br>(yyyy-mm-dd hh:mm:ss)</td>
-						<td style="width: 35%"><input type="text" name="registered_after" size="24" maxlength="19" tabindex="16"></td>
+						<td style="width: 35%"><input type="text" name="registered_after" size="24" maxlength="19" tabindex="17"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Registered before<br>(yyyy-mm-dd hh:mm:ss)</td>
-						<td style="width: 35%"><input type="text" name="registered_before" size="24" maxlength="19" tabindex="17"></td>
+						<td style="width: 35%"><input type="text" name="registered_before" size="24" maxlength="19" tabindex="18"></td>
 					</tr>
 					<tr>
 						<td class="punright" style="width: 35%">Order by</td>
 						<td style="width: 35%">
-							<select name="order_by" tabindex="18">
+							<select name="order_by" tabindex="19">
 								<option value="username" selected>username</option>
 								<option value="email">e-mail</option>
 								<option value="num_posts">posts</option>
 								<option value="last_post">last post</option>
 								<option value="registered">registered</option>
-							</select>&nbsp;&nbsp;&nbsp;<select name="direction" tabindex="19">
+							</select>&nbsp;&nbsp;&nbsp;<select name="direction" tabindex="20">
 								<option value="ASC" selected>ascending</option>
 								<option value="DESC">descending</option>
 							</select>
@@ -446,7 +450,7 @@
 					<tr>
 						<td class="punright" style="width: 35%">User group</td>
 						<td style="width: 35%">
-							<select name="user_group" tabindex="20">
+							<select name="user_group" tabindex="21">
 								<option value="all" selected>All groups</option>
 								<option value="<?php echo PUN_USER ?>">Users</option>
 								<option value="<?php echo PUN_MOD ?>">Moderators</option>
@@ -474,8 +478,8 @@
 				<table class="punplain" cellspacing="0" cellpadding="4">
 					<tr>
 						<td class="punright" style="width: 35%"><b>IP address</b><br>The IP address to search for in the post database.</td>
-						<td style="width: 35%"><input type="text" name="show_users" size="18" maxlength="15" tabindex="22"></td>
-						<td style="width: 30%"><input type="submit" value=" Find " tabindex="23"></td>
+						<td style="width: 35%"><input type="text" name="show_users" size="18" maxlength="15" tabindex="23"></td>
+						<td style="width: 30%"><input type="submit" value=" Find " tabindex="24"></td>
 					</tr>
 				</table>
 			</td>
diff -urbB punbb-1.1/upload/footer.php punbb-1.1.1/upload/footer.php
--- punbb-1.1/upload/footer.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/footer.php	2004-03-21 16:29:19.000000000 +0100
@@ -108,7 +108,7 @@
 	else if ($footer_style == 'topic' && $is_admmod)
 	{
 		echo "\t\t\t\t\t\t".'<br><a href="moderate.php?fid='.$forum_id.'&amp;tid='.$id.'&amp;p='.$p.'">'.$lang_common['Delete posts'].'</a><br>'."\n";
-		echo "\t\t\t\t\t\t".'<a href="moderate.php?fid='.$forum_id.'&amp;move='.$id.'">'.$lang_common['Move topic'].'</a><br>'."\n";
+		echo "\t\t\t\t\t\t".'<a href="moderate.php?fid='.$forum_id.'&amp;move_topics='.$id.'">'.$lang_common['Move topic'].'</a><br>'."\n";
 
 		if ($closed == '1')
 			echo "\t\t\t\t\t\t".'<a href="moderate.php?fid='.$forum_id.'&amp;open='.$id.'">'.$lang_common['Open topic'].'</a><br>'."\n";
diff -urbB punbb-1.1/upload/include/dblayer/pgsql.php punbb-1.1.1/upload/include/dblayer/pgsql.php
--- punbb-1.1/upload/include/dblayer/pgsql.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/include/dblayer/pgsql.php	2004-03-21 16:29:19.000000000 +0100
@@ -23,7 +23,7 @@
 ************************************************************************/
 
 
-// Make sure we have built in support for MySQL
+// Make sure we have built in support for PostgreSQL
 if (!function_exists('pg_connect'))
 	exit('This PHP environment doesn\'t have PostgreSQL support built in. PostgreSQL support is required if you want to use a PostgreSQL database to run this forum. Consult the PHP documentation for further assistance.');
 
@@ -111,14 +111,14 @@
 				if (defined('PUN_SHOW_QUERIES'))
 					$this->saved_queries[] = array('BEGIN', 0);
 
-				if (!@pg_exec($this->link_id, 'BEGIN'))
+				if (!@pg_query($this->link_id, 'BEGIN'))
 					return false;
 			}
 
 			if (defined('PUN_SHOW_QUERIES'))
 				$q_start = get_microtime();
 
-			$this->query_result = @pg_exec($this->link_id, $sql);
+			$this->query_result = @pg_query($this->link_id, $sql);
 			if ($this->query_result)
 			{
 				if (defined('PUN_SHOW_QUERIES'))
@@ -131,12 +131,12 @@
 					if (defined('PUN_SHOW_QUERIES'))
 						$this->saved_queries[] = array('COMMIT', 0);
 
-					if (!@pg_exec($this->link_id, 'COMMIT'))
+					if (!@pg_query($this->link_id, 'COMMIT'))
 					{
 						if (defined('PUN_SHOW_QUERIES'))
 							$this->saved_queries[] = array('ROLLBACK', 0);
 
-						@pg_exec($this->link_id, 'ROLLBACK');
+						@pg_query($this->link_id, 'ROLLBACK');
 						return false;
 					}
 				}
@@ -154,7 +154,7 @@
 					$this->saved_queries[] = array('ROLLBACK', 0);
 
 				if ($this->in_transaction)
-					@pg_exec($this->link_id, 'ROLLBACK');
+					@pg_query($this->link_id, 'ROLLBACK');
 
 				$this->in_transaction = false;
 
@@ -170,12 +170,12 @@
 				if (defined('PUN_SHOW_QUERIES'))
 					$this->saved_queries[] = array('COMMIT', 0);
 
-				if (!@pg_exec($this->link_id, 'COMMIT'))
+				if (!@pg_query($this->link_id, 'COMMIT'))
 				{
 					if (defined('PUN_SHOW_QUERIES'))
 						$this->saved_queries[] = array('ROLLBACK', 0);
 
-					@pg_exec($this->link_id, 'ROLLBACK');
+					@pg_query($this->link_id, 'ROLLBACK');
 					return false;
 				}
 			}
@@ -260,9 +260,7 @@
 	function num_rows($query_id = 0)
 	{
 		if (!$query_id)
-		{
 			$query_id = $this->query_result;
-		}
 
 		return ($query_id) ? @pg_num_rows($query_id) : false;
 	}
@@ -286,7 +284,7 @@
 			if (preg_match('/^INSERT[\t\n ]+INTO[\t\n ]+([a-z0-9\_\-]+)/is', $this->last_query_text[$query_id], $tablename))
 			{
 				$sql = 'SELECT currval(\''.$tablename[1].'_id_seq\') AS lastval';
-				$temp_q_id = @pg_exec($this->link_id, $sql);
+				$temp_q_id = @pg_query($this->link_id, $sql);
 
 				if (!$temp_q_id)
 					return false;
@@ -318,7 +316,7 @@
 		if (!$query_id)
 			$query_id = $this->query_result;
 
-		return ($query_id) ? @pg_freeresult($query_id) : false;
+		return ($query_id) ? @pg_free_result($query_id) : false;
 	}
 
 
@@ -343,11 +341,11 @@
 				if (defined('PUN_SHOW_QUERIES'))
 					$this->saved_queries[] = array('COMMIT', 0);
 
-				@pg_exec($this->link_id, 'COMMIT');
+				@pg_query($this->link_id, 'COMMIT');
 			}
 
 			if ($this->query_result)
-				@pg_freeresult($this->query_result);
+				@pg_free_result($this->query_result);
 
 			return @pg_close($this->link_id);
 		}
diff -urbB punbb-1.1/upload/include/parser.php punbb-1.1.1/upload/include/parser.php
--- punbb-1.1/upload/include/parser.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/include/parser.php	2004-03-21 16:29:19.000000000 +0100
@@ -72,8 +72,6 @@
 {
 	global $lang_common;
 
-	set_time_limit(3);
-
 	// The maximum allowed quote depth
 	$max_depth = 3;
 
@@ -207,11 +205,11 @@
 					 '#\[email=(.*?)\](.*?)\[/email\]#',
 					 '#\[color=([a-zA-Z]*|\#?[0-9a-fA-F]{6})](.*?)\[/color\]#s');
 
-	$replace = array('<b>$1</b>',
-					 '<i>$1</i>',
+	$replace = array('<strong>$1</strong>',
+					 '<em>$1</em>',
 					 '<u>$1</u>',
-					 'truncate_url("$1")',
-					 'truncate_url("$1", "$2")',
+					 'truncate_url(\'$1\')',
+					 'truncate_url(\'$1\', \'$2\')',
 					 '<a href="mailto:$1">$1</a>',
 					 '<a href="mailto:$1">$2</a>',
 					 '<span style="color: $1">$2</span>');
@@ -239,8 +237,8 @@
 
 	$message = ' '.$message;
 
-	$message = preg_replace('#([\t\n\(\) ])(https?|ftp|news){1}://([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ "\(\)\n\r\t<]*)?)#ie', '"$1".truncate_url("$2://$3")', $message);
-	$message = preg_replace('#([\t\n\(\) ])(www|ftp)\.(([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^ "\(\)\n\r\t<]*)?)#ie', '"$1".truncate_url("$2.$3", "$2.$3")', $message);
+	$message = preg_replace('#([\s\(\)])(https?|ftp|news){1}://([\w\-]+\.([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^"\s\(\)<\[]*)?)#ie', '\'$1\'.truncate_url(\'$2://$3\')', $message);
+	$message = preg_replace('#([\s\(\)])(www|ftp)\.(([\w\-]+\.)*[\w]+(:[0-9]+)?(/[^"\s\(\)<\[]*)?)#ie', '\'$1\'.truncate_url(\'$2.$3\', \'$2.$3\')', $message);
 
 	return substr($message, 1);
 }
diff -urbB punbb-1.1/upload/install.php punbb-1.1.1/upload/install.php
--- punbb-1.1/upload/install.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/install.php	2004-03-21 16:29:19.000000000 +0100
@@ -24,7 +24,7 @@
 
 
 // The PunBB version this script installs
-$punbb_version = '1.1';
+$punbb_version = '1.1.1';
 
 
 $pun_root = './';
diff -urbB punbb-1.1/upload/lang/en/en_common.php punbb-1.1.1/upload/lang/en/en_common.php
--- punbb-1.1/upload/lang/en/en_common.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/lang/en/en_common.php	2004-03-21 16:29:19.000000000 +0100
@@ -4,7 +4,7 @@
 $lang_common = array(
 
 // Text orientation and encoding
-'lang_direction'		=>	'LTR',	// LTR (Left-To-Right) or RTL (Right-To-Left)
+'lang_direction'		=>	'ltr',	// LTR (Left-To-Right) or RTL (Right-To-Left)
 'lang_encoding'			=>	'iso-8859-1',
 
 // Notices
diff -urbB punbb-1.1/upload/lang/en/mail_templates/activate_email.tpl punbb-1.1.1/upload/lang/en/mail_templates/activate_email.tpl
--- punbb-1.1/upload/lang/en/mail_templates/activate_email.tpl	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/lang/en/mail_templates/activate_email.tpl	2004-03-21 16:29:19.000000000 +0100
@@ -2,7 +2,7 @@
 
 Hello <username>,
 
-You have requested to have a new e-mail address assigned to your account in the discussion forum at <base_url>. If you didn't request this or if you don't want to change your e-mail address you should just ignore this message. Only if you visit the activation page below will your password be changed. In order for the activation page to work, you must be logged in to the forum.
+You have requested to have a new e-mail address assigned to your account in the discussion forum at <base_url>. If you didn't request this or if you don't want to change your e-mail address you should just ignore this message. Only if you visit the activation page below will your e-mail address be changed. In order for the activation page to work, you must be logged in to the forum.
 
 To change your e-mail address, please visit the following page:
 <activation_url>
diff -urbB punbb-1.1/upload/lang/en/mail_templates/form_email.tpl punbb-1.1.1/upload/lang/en/mail_templates/form_email.tpl
--- punbb-1.1/upload/lang/en/mail_templates/form_email.tpl	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/lang/en/mail_templates/form_email.tpl	2004-03-21 16:29:19.000000000 +0100
@@ -11,4 +11,3 @@
 
 -- 
 <board_mailer>
-(Do not reply to this message)
\ No newline at end of file
diff -urbB punbb-1.1/upload/moderate.php punbb-1.1.1/upload/moderate.php
--- punbb-1.1/upload/moderate.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/moderate.php	2004-03-21 16:29:19.000000000 +0100
@@ -39,6 +39,9 @@
 		message($lang_common['No permission']);
 
 	$result = $db->query('SELECT poster_ip FROM '.$db->prefix.'posts WHERE id='.$get_host) or error('Unable to fetch post IP address', __FILE__, __LINE__, $db->error());
+	if (!$db->num_rows($result))
+		message($lang_common['Bad request']);
+
 	$ip = $db->result($result, 0);
 
 	message('The IP address is: '.$ip.'<br>The host name is: '.gethostbyaddr($ip).'<br><br><a href="admin_users.php?show_users='.$ip.'">Show more users for this IP</a>');
diff -urbB punbb-1.1/upload/post.php punbb-1.1.1/upload/post.php
--- punbb-1.1/upload/post.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/post.php	2004-03-21 16:29:19.000000000 +0100
@@ -116,14 +116,16 @@
 		require $pun_root.'lang/'.$language.'/'.$language.'_prof_reg.php';
 		require $pun_root.'lang/'.$language.'/'.$language.'_register.php';
 
-		// It's a guest, so we have to check the username
+		// It's a guest, so we have to validate the username
 		if (strlen($username) < 2)
 			message($lang_prof_reg['Username too short']);
 		else if (!strcasecmp($username, 'Guest') || !strcasecmp($username, $lang_common['Guest']))
 			message($lang_prof_reg['Username guest']);
 		else if (preg_match('/[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}/', $username))
 			message($lang_prof_reg['Username IP']);
-		else if (preg_match('#\[b\]|\[/b\]|\[u\]|\[/u\]|\[i\]|\[/i\]|\[color|\[/color\]|\[quote\]|\[/quote\]|\[code\]|\[/code\]|\[img\]|\[/img\]|\[url|\[/url\]|\[email|\[/email\]#i', $username))
+		else if ((strpos($username, '[') !== false || strpos($username, ']') !== false) && strpos($username, '\'') !== false && strpos($username, '"') !== false)
+			message($lang_prof_reg['Username reserved chars']);
+		else if (preg_match('#\[b\]|\[/b\]|\[u\]|\[/u\]|\[i\]|\[/i\]|\[color|\[/color\]|\[quote\]|\[quote=|\[/quote\]|\[code\]|\[/code\]|\[img\]|\[/img\]|\[url|\[/url\]|\[email|\[/email\]#i', $username))
 			message($lang_prof_reg['Username BBCode']);
 
 		// Check username for any censored words
@@ -368,11 +370,22 @@
 					else
 						$q_poster = '\''.$q_poster.'\'';
 				}
+				else
+				{
+					// Get the characters at the start and end of $q_poster
+					$ends = substr($q_poster, 0, 1).substr($q_poster, -1, 1);
+
+					// Deal with quoting "Username" or 'Username' (becomes '"Username"' or "'Username'")
+					if ($ends == '\'\'')
+						$q_poster = '"'.$q_poster.'"';
+					else if ($ends == '""')
+						$q_poster = '\''.$q_poster.'\'';
+				}
 
 				$quote = '[quote='.$q_poster.']'.$q_message.'[/quote]'."\n";
 			}
 			else
-				$quote = '> '.$q_poster.' '.$lang_post['wrote'].':'."\n\n".'> '.$q_message."\n";
+				$quote = '> '.$q_poster.' '.$lang_common['wrote'].':'."\n\n".'> '.$q_message."\n";
 		}
 
 		// We have to fetch the forum name in order to display Title / Forum / Topic
@@ -525,7 +538,7 @@
 ?>
 	<tr>
 		<td class="puncon1" style="width: 140px; vertical-align: top"><?php echo pun_htmlspecialchars($cur_post['poster']) ?></td>
-		<td class="puncon2"><?php echo $cur_post['message'] ?></td>
+		<td class="puncon2"><span class="puntext"><?php echo $cur_post['message'] ?></span></td>
 	</tr>
 <?php
 
diff -urbB punbb-1.1/upload/profile.php punbb-1.1.1/upload/profile.php
--- punbb-1.1/upload/profile.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/profile.php	2004-03-21 16:29:19.000000000 +0100
@@ -1125,7 +1125,7 @@
 				&nbsp;<select name="form[style]">
 <?php
 
-		$d = dir('style');
+		$d = dir($pun_root.'style');
 		while (($entry = $d->read()) !== false)
 		{
 			if (substr($entry, strlen($entry)-4) == '.css')
diff -urbB punbb-1.1/upload/viewtopic.php punbb-1.1.1/upload/viewtopic.php
--- punbb-1.1/upload/viewtopic.php	2004-03-21 16:29:25.000000000 +0100
+++ punbb-1.1.1/upload/viewtopic.php	2004-03-21 16:29:19.000000000 +0100
@@ -257,16 +257,15 @@
 
 		$info .= $lang_common['Registered'].': '.$registered.'<br>';
 
-		if ($pun_config['o_show_post_count'] == '1')
-			$info .= "\n\t\t\t\t\t\t\t".$lang_common['Posts'].': '.$cur_post['num_posts'];
-
 		if ($cur_user['status'] > PUN_USER)
 		{
-			$info .= '<br>'."\n\t\t\t\t\t\t\t".'IP: <a href="moderate.php?get_host='.$cur_post['id'].'">'.$cur_post['poster_ip'].'</a>';
+			$info .= "\n\t\t\t\t\t\t\t".$lang_common['Posts'].': '.$cur_post['num_posts'].'<br>'."\n\t\t\t\t\t\t\t".'IP: <a href="moderate.php?get_host='.$cur_post['id'].'">'.$cur_post['poster_ip'].'</a>';
 
 			if ($cur_post['admin_note'] != '')
 				$info .= '<br><br>'."\n\t\t\t\t\t\t\t".$lang_topic['Note'].': <b>'.$cur_post['admin_note'].'</b>';
 		}
+		else if ($pun_config['o_show_post_count'] == '1')
+			$info .= "\n\t\t\t\t\t\t\t".$lang_common['Posts'].': '.$cur_post['num_posts'];
 
 		// Generate an array of links that appear at the bottom of every message.
 		$links = array();
